
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta charset="utf-8" />
    <title>wfastcgi module &#8212; DataMAx 0.1 documentation</title>
    <link rel="stylesheet" href="_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-wfastcgi">
<span id="wfastcgi-module"></span><h1>wfastcgi module<a class="headerlink" href="#module-wfastcgi" title="Permalink to this headline">¶</a></h1>
<dl class="function">
<dt id="wfastcgi.to_str">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">to_str</code><span class="sig-paren">(</span><em class="sig-param">value</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.to_str" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="class">
<dt id="wfastcgi.FastCgiRecord">
<em class="property">class </em><code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">FastCgiRecord</code><span class="sig-paren">(</span><em class="sig-param">type</em>, <em class="sig-param">req_id</em>, <em class="sig-param">role</em>, <em class="sig-param">flags</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.FastCgiRecord" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
<p>Represents a FastCgiRecord.  Encapulates the type, role, flags.  Holds
onto the params which we will receive and update later.</p>
</dd></dl>

<dl class="function">
<dt id="wfastcgi.ord">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">ord</code><span class="sig-paren">(</span><em class="sig-param">x</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.ord" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="wfastcgi.chr">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">chr</code><span class="sig-paren">(</span><em class="sig-param">x</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.chr" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="wfastcgi.wsgi_decode">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">wsgi_decode</code><span class="sig-paren">(</span><em class="sig-param">x</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.wsgi_decode" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="wfastcgi.wsgi_encode">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">wsgi_encode</code><span class="sig-paren">(</span><em class="sig-param">x</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.wsgi_encode" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="wfastcgi.fs_encode">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">fs_encode</code><span class="sig-paren">(</span><em class="sig-param">x</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.fs_encode" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="wfastcgi.exception_with_traceback">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">exception_with_traceback</code><span class="sig-paren">(</span><em class="sig-param">exc_value</em>, <em class="sig-param">exc_tb</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.exception_with_traceback" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="wfastcgi.read_fastcgi_record">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">read_fastcgi_record</code><span class="sig-paren">(</span><em class="sig-param">stream</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.read_fastcgi_record" title="Permalink to this definition">¶</a></dt>
<dd><p>reads the main fast cgi record</p>
</dd></dl>

<dl class="function">
<dt id="wfastcgi.read_fastcgi_begin_request">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">read_fastcgi_begin_request</code><span class="sig-paren">(</span><em class="sig-param">stream</em>, <em class="sig-param">req_id</em>, <em class="sig-param">content</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.read_fastcgi_begin_request" title="Permalink to this definition">¶</a></dt>
<dd><p>reads the begin request body and updates our _REQUESTS table to include
the new request</p>
</dd></dl>

<dl class="function">
<dt id="wfastcgi.read_encoded_int">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">read_encoded_int</code><span class="sig-paren">(</span><em class="sig-param">content</em>, <em class="sig-param">offset</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.read_encoded_int" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="wfastcgi.read_fastcgi_keyvalue_pairs">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">read_fastcgi_keyvalue_pairs</code><span class="sig-paren">(</span><em class="sig-param">content</em>, <em class="sig-param">offset</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.read_fastcgi_keyvalue_pairs" title="Permalink to this definition">¶</a></dt>
<dd><p>Reads a FastCGI key/value pair stream</p>
</dd></dl>

<dl class="function">
<dt id="wfastcgi.get_encoded_int">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">get_encoded_int</code><span class="sig-paren">(</span><em class="sig-param">i</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.get_encoded_int" title="Permalink to this definition">¶</a></dt>
<dd><p>Writes the length of a single name for a key or value in a key/value
stream</p>
</dd></dl>

<dl class="function">
<dt id="wfastcgi.write_fastcgi_keyvalue_pairs">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">write_fastcgi_keyvalue_pairs</code><span class="sig-paren">(</span><em class="sig-param">pairs</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.write_fastcgi_keyvalue_pairs" title="Permalink to this definition">¶</a></dt>
<dd><p>Creates a FastCGI key/value stream and returns it as a byte string</p>
</dd></dl>

<dl class="function">
<dt id="wfastcgi.read_fastcgi_params">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">read_fastcgi_params</code><span class="sig-paren">(</span><em class="sig-param">stream</em>, <em class="sig-param">req_id</em>, <em class="sig-param">content</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.read_fastcgi_params" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="wfastcgi.read_fastcgi_input">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">read_fastcgi_input</code><span class="sig-paren">(</span><em class="sig-param">stream</em>, <em class="sig-param">req_id</em>, <em class="sig-param">content</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.read_fastcgi_input" title="Permalink to this definition">¶</a></dt>
<dd><p>reads FastCGI std-in and stores it in wsgi.input passed in the
wsgi environment array</p>
</dd></dl>

<dl class="function">
<dt id="wfastcgi.read_fastcgi_data">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">read_fastcgi_data</code><span class="sig-paren">(</span><em class="sig-param">stream</em>, <em class="sig-param">req_id</em>, <em class="sig-param">content</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.read_fastcgi_data" title="Permalink to this definition">¶</a></dt>
<dd><p>reads FastCGI data stream and publishes it as wsgi.data</p>
</dd></dl>

<dl class="function">
<dt id="wfastcgi.read_fastcgi_abort_request">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">read_fastcgi_abort_request</code><span class="sig-paren">(</span><em class="sig-param">stream</em>, <em class="sig-param">req_id</em>, <em class="sig-param">content</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.read_fastcgi_abort_request" title="Permalink to this definition">¶</a></dt>
<dd><p>reads the wsgi abort request, which we ignore, we’ll send the
finish execution request anyway…</p>
</dd></dl>

<dl class="function">
<dt id="wfastcgi.read_fastcgi_get_values">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">read_fastcgi_get_values</code><span class="sig-paren">(</span><em class="sig-param">stream</em>, <em class="sig-param">req_id</em>, <em class="sig-param">content</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.read_fastcgi_get_values" title="Permalink to this definition">¶</a></dt>
<dd><p>reads the fastcgi request to get parameter values, and immediately
responds</p>
</dd></dl>

<dl class="function">
<dt id="wfastcgi.log">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">log</code><span class="sig-paren">(</span><em class="sig-param">txt</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.log" title="Permalink to this definition">¶</a></dt>
<dd><p>Logs messages to a log file if WSGI_LOG env var is defined.</p>
</dd></dl>

<dl class="function">
<dt id="wfastcgi.maybe_log">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">maybe_log</code><span class="sig-paren">(</span><em class="sig-param">txt</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.maybe_log" title="Permalink to this definition">¶</a></dt>
<dd><p>Logs messages to a log file if WSGI_LOG env var is defined, and does not
raise exceptions if logging fails.</p>
</dd></dl>

<dl class="function">
<dt id="wfastcgi.send_response">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">send_response</code><span class="sig-paren">(</span><em class="sig-param">stream</em>, <em class="sig-param">req_id</em>, <em class="sig-param">resp_type</em>, <em class="sig-param">content</em>, <em class="sig-param">streaming=True</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.send_response" title="Permalink to this definition">¶</a></dt>
<dd><p>sends a response w/ the given id, type, and content to the server.
If the content is streaming then an empty record is sent at the end to
terminate the stream</p>
</dd></dl>

<dl class="function">
<dt id="wfastcgi.get_environment">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">get_environment</code><span class="sig-paren">(</span><em class="sig-param">dir</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.get_environment" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="class">
<dt id="wfastcgi.FILE_NOTIFY_INFORMATION">
<em class="property">class </em><code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">FILE_NOTIFY_INFORMATION</code><a class="headerlink" href="#wfastcgi.FILE_NOTIFY_INFORMATION" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">_ctypes.Structure</span></code></p>
<dl class="attribute">
<dt id="wfastcgi.FILE_NOTIFY_INFORMATION.Action">
<code class="sig-name descname">Action</code><a class="headerlink" href="#wfastcgi.FILE_NOTIFY_INFORMATION.Action" title="Permalink to this definition">¶</a></dt>
<dd><p>Structure/Union member</p>
</dd></dl>

<dl class="attribute">
<dt id="wfastcgi.FILE_NOTIFY_INFORMATION.FileNameLength">
<code class="sig-name descname">FileNameLength</code><a class="headerlink" href="#wfastcgi.FILE_NOTIFY_INFORMATION.FileNameLength" title="Permalink to this definition">¶</a></dt>
<dd><p>Structure/Union member</p>
</dd></dl>

<dl class="attribute">
<dt id="wfastcgi.FILE_NOTIFY_INFORMATION.Filename">
<code class="sig-name descname">Filename</code><a class="headerlink" href="#wfastcgi.FILE_NOTIFY_INFORMATION.Filename" title="Permalink to this definition">¶</a></dt>
<dd><p>Structure/Union member</p>
</dd></dl>

<dl class="attribute">
<dt id="wfastcgi.FILE_NOTIFY_INFORMATION.NextEntryOffset">
<code class="sig-name descname">NextEntryOffset</code><a class="headerlink" href="#wfastcgi.FILE_NOTIFY_INFORMATION.NextEntryOffset" title="Permalink to this definition">¶</a></dt>
<dd><p>Structure/Union member</p>
</dd></dl>

</dd></dl>

<dl class="function">
<dt id="wfastcgi.run_exit_tasks">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">run_exit_tasks</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.run_exit_tasks" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="wfastcgi.on_exit">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">on_exit</code><span class="sig-paren">(</span><em class="sig-param">task</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.on_exit" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="wfastcgi.start_file_watcher">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">start_file_watcher</code><span class="sig-paren">(</span><em class="sig-param">path</em>, <em class="sig-param">restart_regex</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.start_file_watcher" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="wfastcgi.get_wsgi_handler">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">get_wsgi_handler</code><span class="sig-paren">(</span><em class="sig-param">handler_name</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.get_wsgi_handler" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="wfastcgi.read_wsgi_handler">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">read_wsgi_handler</code><span class="sig-paren">(</span><em class="sig-param">physical_path</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.read_wsgi_handler" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="class">
<dt id="wfastcgi.handle_response">
<em class="property">class </em><code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">handle_response</code><span class="sig-paren">(</span><em class="sig-param">stream</em>, <em class="sig-param">record</em>, <em class="sig-param">get_output</em>, <em class="sig-param">get_errors</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.handle_response" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
<p>A context manager for handling the response. This will ensure that
exceptions in the handler are correctly reported, and the FastCGI request is
properly terminated.</p>
<dl class="method">
<dt id="wfastcgi.handle_response.start">
<code class="sig-name descname">start</code><span class="sig-paren">(</span><em class="sig-param">status</em>, <em class="sig-param">headers</em>, <em class="sig-param">exc_info=None</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.handle_response.start" title="Permalink to this definition">¶</a></dt>
<dd><p>Starts sending the response. The response is ended when the context
manager exits.</p>
</dd></dl>

<dl class="method">
<dt id="wfastcgi.handle_response.send">
<code class="sig-name descname">send</code><span class="sig-paren">(</span><em class="sig-param">resp_type</em>, <em class="sig-param">content</em>, <em class="sig-param">streaming=True</em><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.handle_response.send" title="Permalink to this definition">¶</a></dt>
<dd><p>Sends part of the response.</p>
</dd></dl>

</dd></dl>

<dl class="function">
<dt id="wfastcgi.main">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">main</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.main" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="wfastcgi.enable">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">enable</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.enable" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="wfastcgi.disable">
<code class="sig-prename descclassname">wfastcgi.</code><code class="sig-name descname">disable</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#wfastcgi.disable" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/wfastcgi.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2019, AxtriaOne.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 2.3.1.
    </div>
  </body>
</html>